from cort.core.corpora import Corpus

def test_read_and_write():
    with open('single-doc.auto_conll') as f: 
        corpus = Corpus.from_file("masked", f)
    with open('/tmp/test_cort_read_and_write.conll', 'w') as f:
        corpus.write_to_file(f)
    with open('single-doc.auto_conll') as f1, \
            open('/tmp/test_cort_read_and_write.conll') as f2:
        assert f1.read() == f2.read()
    